Project a Edge on a Surface by a user-defined direction...

I want to project a edge on a surface by a user-defined direction.

I found a "GeomProjLib::Project(aCurve, aSurface)".
In this algorithm, the direction of projection is defaultly defined as the normal of the surface.
But, as I mensioned, I wanna define the projection direction.

Kind regards.

jelle's picture

See the BrepProj module:

Standard_EXPORT BRepProj_Projection (const TopoDS_Shape &Lsh, const TopoDS_Shape &Ssh, const gp_Dir &D, const Standard_Boolean FaceBounds=Standard_True)
Makes a Cylindrical projection Lsh on Ssh
.
Standard_EXPORT BRepProj_Projection (const TopoDS_Shape &Lsh, const TopoDS_Shape &Ssh, const gp_Pnt &P, const Standard_Boolean FaceBounds=Standard_True)
Makes a Conical projection Lsh on Ssh

redmoon's picture

Thank you for your help.

I think it is working.